<template>
	<el-dialog v-model="dialogVisible" :fullscreen="full" :title="titles" width="50%" draggable>
		<el-button @click="toggleFullscreen" size="small"  class="pot" :icon="FullScreen"></el-button>
		<el-form :model="form" label-width="120px" :disabled="disabled">
			<el-row>
				<el-col :span="11">
					<el-form-item label="序号" size="default">
						<el-input v-model="form.indexNum" placeholder="请填写序号" />
					</el-form-item>
				</el-col>
				<el-col :span="11" :offset="2" size="default">
					<el-form-item label="检查内容">
						<el-input v-model="form.checkContent" placeholder="请填写检查内容" />
					</el-form-item>
				</el-col>
			</el-row>
			<el-row>
				<el-col :span="11">
					<el-form-item label="检查指标" size="default">
						<el-input v-model="form.checkTarget" placeholder="请填写检查指标" />
					</el-form-item>
				</el-col>
				<el-col :span="11" :offset="2">
					<el-form-item label="单位" size="default">
						<el-input v-model="form.unit" placeholder="请填写单位" />
					</el-form-item>
				</el-col>
			</el-row>
			<el-row>
				<el-col :span="11">
					<el-form-item label="巡检部位" size="default">
						<el-input v-model="form.checkPart" placeholder="请填写巡检部位" />
					</el-form-item>
				</el-col>
				<el-col :span="11" :offset="2">
					<el-form-item label="频次" size="default">
						<el-input v-model="form.rate" placeholder="请填写频次" />
					</el-form-item>
				</el-col>
			</el-row>
		</el-form>
		<template #footer>
			<span class="dialog-footer">
				<!-- <el-button type="primary" @click="dialogVisible = false" size="default">继续添加</el-button> -->
				<el-button @click="resetForm" size="default">关闭</el-button>
				<el-button type="primary" @click="submitForm" size="default">确定</el-button>
			</span>
		</template>
	</el-dialog>
	<!-- <DailogSearchUser ref="Show"></DailogSearchUser> -->
</template>
<script lang="ts">
import { defineComponent, ref, reactive } from 'vue';
import { Search, FullScreen } from '@element-plus/icons-vue';
import DailogSearchUser from '/@/components/DailogSearchUser/index.vue';
export default defineComponent({
	components: { DailogSearchUser },
	setup(props, { emit }) {
		const form = ref({
			indexNum: '',
			checkContent: '',
			checkTarget: '',
			unit: '',
			checkPart: false,
			rate: '',
		});
		// 开启弹窗
		const titles = ref();
		const disabled = ref(false);
		const dialogVisible = ref(false);
		const openDailog = (title: string, data: any) => {
			dialogVisible.value = true;
			titles.value = `${title}检查标准设置`;
			if (title == '查看') {
				disabled.value = true;
				form.value = data;
			} else if(title=='修改'){
				disabled.value = false;
				form.value = data;
			}
		};
		// 开启用户弹窗
		const Show = ref();
		const openUser = () => {
			Show.value.openDailog();
		};
		// 提交
		const submitForm = () => {
			dialogVisible.value = false;
			emit('onStand', form.value);
			form.value = {
				indexNum: '',
				checkContent: '',
				checkTarget: '',
				unit: '',
				checkPart: false,
				rate: '',
			};
		};
		//   取消
		const resetForm = () => {
			dialogVisible.value = false;
			form.value = {
				indexNum: '',
				checkContent: '',
				checkTarget: '',
				unit: '',
				checkPart: false,
				rate: '',
			};
		};
		//全屏
		const full = ref(false);
		const toggleFullscreen = () => {
			if (full.value == false) {
				full.value = true;
			} else {
				full.value = false;
			}
		};
		return {
			form,
			titles,
			disabled,
			dialogVisible,
			openDailog,
			submitForm,
			resetForm,
			Show,
			openUser,
			Search,
			full,
			toggleFullscreen,
			FullScreen,
		};
	},
});
</script>
<style scoped>
.el-row {
	padding: 0 0 20px 0;
}
</style>